org.eclipse.rdf4j.model.impl

## Class IntegerLiteral

- java.lang.Object
- - org.eclipse.rdf4j.model.impl.SimpleLiteral
  - - org.eclipse.rdf4j.model.impl.IntegerLiteral

- All Implemented Interfaces:
    Serializable, Literal, Value

      public class IntegerLiteral
      extends SimpleLiteral

  An extension of `SimpleLiteral` that stores an integer value using a `BigInteger` object.
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IntegerLiteral(BigInteger value)` Creates an xsd:integer literal with the specified value.
    `protected` | `IntegerLiteral(BigInteger value, IRI datatype)` Creates a literal with the specified value and datatype.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `byteValue()` Returns the `byte` value of this literal.
    `BigDecimal` | `decimalValue()` Returns the decimal value of this literal.
    `double` | `doubleValue()` Returns the `double` value of this literal.
    `float` | `floatValue()` Returns the `float` value of this literal.
    `BigInteger` | `integerValue()` Returns the integer value of this literal.
    `int` | `intValue()` Returns the `int` value of this literal.
    `long` | `longValue()` Returns the `long` value of this literal.
    `short` | `shortValue()` Returns the `short` value of this literal.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `booleanValue, calendarValue, equals, getDatatype, getLabel, getLanguage, hashCode, setDatatype, setLabel, setLanguage, stringValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerLiteral

          protected IntegerLiteral(BigInteger value)

      Creates an xsd:integer literal with the specified value.

    - #### IntegerLiteral

          protected IntegerLiteral(BigInteger value,
                                   IRI datatype)

      Creates a literal with the specified value and datatype.

  - ### Method Detail

    - #### byteValue

          public byte byteValue()

      Description copied from interface: `Literal`
      Returns the `byte` value of this literal.
      Specified by:
        `byteValue` in interface `Literal`
      Overrides:
        `byteValue` in class `SimpleLiteral`
      Returns:
        The `byte value of the literal. @throws NumberFormatException If the literal cannot be represented by a `byte`.`

    - #### shortValue

          public short shortValue()

      Description copied from interface: `Literal`
      Returns the `short` value of this literal.
      Specified by:
        `shortValue` in interface `Literal`
      Overrides:
        `shortValue` in class `SimpleLiteral`
      Returns:
        The `short` value of the literal.

    - #### intValue

          public int intValue()

      Description copied from interface: `Literal`
      Returns the `int` value of this literal.
      Specified by:
        `intValue` in interface `Literal`
      Overrides:
        `intValue` in class `SimpleLiteral`
      Returns:
        The `int` value of the literal.

    - #### longValue

          public long longValue()

      Description copied from interface: `Literal`
      Returns the `long` value of this literal.
      Specified by:
        `longValue` in interface `Literal`
      Overrides:
        `longValue` in class `SimpleLiteral`
      Returns:
        The `long` value of the literal.

    - #### floatValue

          public float floatValue()

      Description copied from interface: `Literal`
      Returns the `float` value of this literal.
      Specified by:
        `floatValue` in interface `Literal`
      Overrides:
        `floatValue` in class `SimpleLiteral`
      Returns:
        The `float` value of the literal.

    - #### doubleValue

          public double doubleValue()

      Description copied from interface: `Literal`
      Returns the `double` value of this literal.
      Specified by:
        `doubleValue` in interface `Literal`
      Overrides:
        `doubleValue` in class `SimpleLiteral`
      Returns:
        The `double` value of the literal.

    - #### integerValue

          public BigInteger integerValue()

      Description copied from interface: `Literal`
      Returns the integer value of this literal.
      Specified by:
        `integerValue` in interface `Literal`
      Overrides:
        `integerValue` in class `SimpleLiteral`
      Returns:
        The integer value of the literal.

    - #### decimalValue

          public BigDecimal decimalValue()

      Description copied from interface: `Literal`
      Returns the decimal value of this literal.
      Specified by:
        `decimalValue` in interface `Literal`
      Overrides:
        `decimalValue` in class `SimpleLiteral`
      Returns:
        The decimal value of the literal.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.